#!/bin/sh
#
# Format:
#	nodeid=<nodeid>
# If nodeid is given take it or implicitly get it from initrd (see setup-cmdline.sh)
#
. /lib/dracut-lib.sh

if getarg rdnetdebug ; then
    exec >/tmp/osr.get-nodeid.$1.$$.out
    exec 2>>/tmp/osr.get-nodeid.$1.$$.out
    set -x
fi

#if [ -f cluster-lib.sh ]; then
#	. ./cluster-lib.sh
#elif [ -f /lib/osr/cluster-lib.sh ]; then 
#    .  /lib/osr/cluster-lib.sh
#else
#    die "Could not find library cluster-lib.sh but it is required for OSR module to be working"
#fi

if [ ! -f "/tmp/osr.nodeid" ]; then
  if [ ! -f "/tmp/osr-nodeids" ]; then
  	die "osr-cluster: Could find nodeid repository /tmp/osr-nodeids. To auto detect the nodeid this is required!! \
  	Either specify nodeid as bootparameter or create a valid /tmp/osr-nodeids file."
  fi
  # from the mac address we'll get the nodeid
  # TODO: make it more general later. Means there is a hardware id and the nodeid will be detected from it!
  nodeid=""
  read IFACES < /tmp/net.ifaces
  for netif in $IFACES ; do
  	hwaddr=$(cat /sys/class/net/$netif/address | tr '[:upper:]' '[:lower:]')
  	while read nodeid2 hwaddr2s; do
  		for hwaddr2 in $hwaddr2s; do
  			hwaddr2=$(echo $hwaddr2 | tr '[:upper:]' '[:lower:]')
  			if [ -n "$hwaddr2" ] && [ -n "$nodeid2" ] && [ $hwaddr = $hwaddr2 ]; then
  		    	nodeid=$nodeid2
  				info "osr-cluster: nodeid $nodeid detected for nic $netif"
#  				break
  			fi
  		done
    done < /tmp/osr-nodeids
  done
  if [ -z "$nodeid" ]; then
  	die "osr-cluster: Could not detect the nodeid for this node. Perhaps it does not belong to this OSR-Cluster."
  else
    info "osr-cluster: Detected nodeid $nodeid"
    echo $nodeid > /tmp/osr.nodeid
  fi
fi
