#****f* boot-lib.sh/getBootParm
#  NAME
#    getBootParm
#  SYNOPSIS
#    function getBootParm(param, [default])
#  DESCRIPTION
#    Gets the given parameter from the bootloader command line. If not
#    found default or the empty string is echoed.
#    If the parameter has been found or default is given 0 is returned 1 otherwise.
#  SOURCE
#
getBootParm() {
   local parm="$1"
   local default="$2"
   if [ -z "$3" ] && [ -z "$CMDLINE" ]; then
     local _cmdline=""
     read _cmdline </proc/cmdline
   elif [ -n "$CMDLINE" ]; then
     local _cmdline="$CMDLINE" 
   else
     local _cmdline="$3"
   fi
   local found=1
   local out=""

   for param in $_cmdline; do
     local name=$(echo $param | cut -f1 -d=)
     local value=$(echo $param | cut -f2- -d=)
     
     if [ -n "$name" ] && [ "$name" = "$parm" ]; then
     	if [ "$name" = "$value" ]; then
     	  out=""
        else
          out=$value
        fi
    	found=0
     fi 
   done
   if [ -z "$out" ] && [ -n "$default" ]; then 
   	 out="$default"
   	 found=0
   fi
   #out=`expr "$cmdline" : ".*$parm=\([^ ]*\)" 2>/dev/null`
   #if [ -z "$out" ]; then
   #	  if [ $(expr "$cmdline" : ".*$parm" 2>/dev/null) -gt 0 ]; then out=1; fi
   #   if [ -z "$out" ]; then out="$default"; fi
   #fi
   echo -n "$out"
   #if [ -z "$out" ]; then
   #    return 1
   #else
   #    return 0
   #fi
   return $found
}
#************ getBootParm
