#!/bin/sh

#
# Mounts the cdsl infrastructure as a bindmount
# All parameters are read from /tmp/osr.nodeid, /tmp/osr.cdsltree, /tmp/osr.cdsllink and mapped to:
# mount --bind $cdsltree/$nodeid $cdsllink

. /lib/dracut-lib.sh

if getarg rdnetdebug ; then
    exec >/tmp/osr.mount-cdsl.$1.$$.out
    exec 2>>/tmp/osr.mount-cdsl.$1.$$.out
    set -x
fi

for file in /tmp/osr.nodeid /tmp/osr.cdsltree /tmp/osr.cdsllink /tmp/root.info; do
   if ! [ -f $file ]; then
      die "osr: Cannot find parameter file $file. This parameter is required and not set."
   fi
done

. /tmp/root.info

nodeid=`cat /tmp/osr.nodeid`
cdsltree=`cat /tmp/osr.cdsltree`
cdsllink=`cat /tmp/osr.cdsllink`
cdslsharedtree=`cat /tmp/osr.cdslsharedtree`

[ -z "$cdsltree" ] && cdsltree="cluster/cdsl"
[ -z "$cdsllink" ] && cdsllink="cdsl.local"
[ -z "$cdslsharedtree" ] && cdslsharedtree="cluster/shared"

if [ "$fstype" = "nfs" ]; then
	echo "${cdslsharedtree}/var/lib/nfs/rpc_pipefs" > /tmp/nfs.rpc_pipefs_path
fi 

info "osr: Mapping $NEWROOT/$cdsltree/$nodeid => $NEWROOT/$cdsllink"
mount --bind $NEWROOT/$cdsltree/$nodeid $NEWROOT/$cdsllink
#exit $?