#!/bin/sh
#
# Parse the cdsl settings. Normally defaults should be ok. But if need be to overwrite it the do it.
# Format:
#   cdsltree=<dirinroot> default: /cluster/cdsl
#   cdsllink=<wheretobindmountto> default: /cdsl.local
#   cdslsharedtree=<wheretoreshareto> default: /cluster/shared
# TODO: Should be autocreated at initrd buildtime and parsed from /var/lib/cdsl/cdsl_inventory.xml
#

if [ -f boot-lib.sh ]; then
	. ./boot-lib.sh
elif [ -f /lib/osr/boot-lib.sh ]; then 
    .  /lib/osr/boot-lib.sh
else
    die "osr: Could not find library boot-lib.sh but it is required for OSR module to be working"
fi

cdsltree=`getBootParm "cdsltree" /cluster/cdsl`
cdslsharedtree=`getBootParm "cdslsharedtree" /cluster/shared`
cdsllink=`getBootParm "cdsllink" /cdsl.local`

echo "$cdsltree"       > /tmp/osr.cdsltree
echo "$cdsllink"       > /tmp/osr.cdsllink
echo "$cdslsharedtree" > /tmp/osr.cdslsharedtree
