#!/bin/sh
#
# Format:
#	nodeid=<nodeid>
# If nodeid is given take it or implicitly get it from initrd (see setup-cmdline.sh)
#

. /lib/dracut-lib.sh

if [ -f boot-lib.sh ]; then
	. ./boot-lib.sh
elif [ -f /lib/osr/boot-lib.sh ]; then 
    .  /lib/osr/boot-lib.sh
else
    die "osr: Could not find library boot-lib.sh but it is required for OSR module to be working"
fi

# first get the default nodeid if already set (might be from module osr-cluster)
defaultnodeid=""
if [ -f "/tmp/osr.nodeid" ]; then
  read defaultnodeid /tmp/osr.nodeid
fi
nodeid=`getBootParm "nodeid" "$defaultnodeid"`

info "osr: CMDLine: $CMDLINE"

# We will later (in validate.sh) check if all parameters and prerequsits needed are available 
if [ -n "$nodeid" ]; then
	info "osr: found nodeid $nodeid."
    echo "$nodeid" > /tmp/osr.nodeid
else
    info "osr: No nodeid given as bootparameter."
fi
